Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-15 Assigned To:
Updated: 2014-03-15 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: nightmare
Is Regression: No
Sprint Focus:
Subject: Tests: Skip some FAL tests
Description

Associated revisions
Revision cc909e68 - 2014-03-15 19:48 - Christian Kuhn

[TASK] Tests: Skip some FAL tests

While the FAL tests were already streamlined and simplified a lot,
the ResourceStorageTest class is still a mixture of functional and
unit test that involves heavy set up code and still does not mock
dependencies properly.
This test class needs a rewrite and a clean separation of units
together with a number of working functional tests to be of any use.
For now, all tests that rely on initialized database are skipped and
marked as TODO.

Change-Id: I3191c809c50f4f19ab91b9a5b5f2f3ebc3fa47ff
Resolves: #56940
Related: #51436
Releases: 6.2
Reviewed-on: https://review.typo3.org/28424
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-03-15 18:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28424

#2 - 2014-03-15 18:11 - Gerrit Code Review

2015-08-04 1/2

https://review.typo3.org/28424
https://review.typo3.org/28424


Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28424

#3 - 2014-03-15 18:17 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28424

#4 - 2014-03-15 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cc909e6846b931208d3d16e203729b5b5e87ce68.
